Subject: Re: bug#38822: 27.0.60; Crashes on MacOS 10.14 when quitting emacs, and intermittent crashes during normal usage

From: Eli Zaretskii <[email-masked]>
Date: Tue, 31 Dec 2019 20:39:14 +0200

> From: Justin Guenther <[email-masked]>
> Date: Mon, 30 Dec 2019 13:26:05 -0600
> 
>     20  libsystem_platform.dylib        0x00007fff683a1b5d _sigtramp + 29
>     21  ???                             000000000000000000 0 + 0
>     22  org.gnu.Emacs                   0x000000010fc10788 mark_vectorlike + 92
>     23  org.gnu.Emacs                   0x000000010fc0fd0a mark_object + 1348
>     24  org.gnu.Emacs                   0x000000010fc0fb95 mark_object + 975
>     25  org.gnu.Emacs                   0x000000010fc10788 mark_vectorlike + 92
>     <snip>
> 
> As far as I can tell, these crashes did not happen in an older version
> that I was using for a while (built from master @
>  cbc10ec71e9f189e8d6fd5c6927aec4872e0fd96).
> 
> They seemed to start happening when I updated+rebuilt emacs from source
> recently, I think approximately @ 0bc00cda3cb6e765b0e1f0105edf75425bce13c9.

3 months went under the bridge between these two commits, so it's hard
to tell which change caused that.  But there's a similar bug report at
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=38748.